Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class Operation

    java.lang.Object
      org.apache.commons.jxpath.ri.compiler.Expression
          org.apache.commons.jxpath.ri.compiler.Operation

Direct Known Subclasses:
  CoreFunction, CoreOperation, ExtensionFunction

    public abstract class Operation

extends Expression

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Field Summary
`protected Expression[]` | `args` Expression[] of arguments

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`Operation(Expression[] args)` Create a new Operation.

Method Summary
`boolean` | `computeContextDependent()` Implemented by subclasses and result is cached by isContextDependent()
`Expression[]` | `getArguments()` Get the arguments.

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`compute, computeValue, isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### args

    protected Expression[] args

  Expression[] of arguments

Constructor Detail

### Operation

    public Operation(Expression[] args)

  Create a new Operation.

  Parameters:
    `args` - Expression[]

Method Detail

### getArguments

    public Expression[] getArguments()

  Get the arguments.

  Returns:
    Expression[]

### computeContextDependent

    public boolean computeContextDependent()

  Description copied from class: `Expression`
  Implemented by subclasses and result is cached by isContextDependent()

  Specified by:
    `computeContextDependent` in class `Expression`
  Returns:
    calculated context-dependentness as boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.